8

After a fresh build, nodeos tests are failing:

The following tests FAILED:
   28 - nodeos_run_test (Failed)
   29 - nodeos_run_remote_test (Failed)
Errors while running CTest

Verbose output from nodeos_run_test:

test 28
    Start 28: nodeos_run_test
28: Test command: /home/eos/build/tests/nodeos_run_test.py "-v" "--dump-error-detail"
28: Test timeout computed to be: 9.99988e+06
28:  is not a valid path
28:  is not a valid path
28:  is not a valid path
28: BEGIN
28: TEST_OUTPUT: test_output_0.txt
28: SERVER: localhost
28: PORT: 8888
28:  cmd: pkill -9 keosd
28:  cmd: programs/eosio-launcher/eosio-launcher -k 15
28:  cmd: pkill -9 nodeos
28: Stand up cluster
28:  cmd: programs/eosio-launcher/eosio-launcher -p 1 -n 1 -s mesh -d 1 -f --nodeos --max-transaction-time 5000
28:  ERROR: Launcher failed to launch.
28:  FAILURE - launcher
28:  ERROR: Failed to stand up eos cluster.
28: Test failed.
28:   
=================================================================
28:   Contents of etc/eosio/node_bios/config.ini:
28:   File etc/eosio/node_bios/config.ini not found.
28:   
=================================================================
28:   Contents of var/lib/node_bios/stderr.txt:
28:   File var/lib/node_bios/stderr.txt not found.
28:  =================================================================
28: == Errors see above ==
28: Shut down the cluster.
28:  cmd: programs/eosio-launcher/eosio-launcher -k 15
28:  cmd: pkill -9 nodeos
28: Shut down the wallet.
28:  cmd: pkill -9 keosd
1/1 Test #28: nodeos_run_test ..................***Failed    0.11 sec

Ignoring the test failures running the local nodeos executable gives the following error:

std::exception::what: database created by a different compiler, 
build, boost version, or operating system

When I run with --resync-blockchain as suggested here I get the original error unable to find plugin: eosio::account_history_api_plugin.

This is a defunct plugin, where/how do I remove this dependency?

EDIT: It turns out that I still had the the config & data directories from a previous install which contained the config file with defunct plugin. I deleted the eosio dir in ~/.local/share/ and generated a new config file by running nodeos.

9

The account history plugin has changed the name to history_api_plugin - use this one instead of what you currently have

  • Could you be a bit more explicit? Both plugins are present. I'm still receiving the same error. I'm missing something obvious. See edit. – Don P May 14 '18 at 14:58
  • I think that you should try with --resync, that usually works for me. If not I would suggest to run rm -rf build from eos root folder and try to run eosio_build.sh followed by cd build && sudo make install... – Leo Ribeiro May 14 '18 at 17:02
  • Still no luck, see edit. --replay & --resync giving me the same error. I was able to install on a different computer that has the same OS & basic setup and it worked. – Don P May 15 '18 at 2:36
  • 2
    What command are you using to launch? Could be that you still have a old blocks/ and shared_mem/ from previous install that its referencing. – Charles H - EOS42 May 17 '18 at 10:12
  • 2
    To be honest I'm not even bothering about tests... It could be because they didn't update the tests files perhaps... I'm sorry that you didn't find your answer yet, but you should try the new tag that was released a few hours ago. – Leo Ribeiro May 17 '18 at 15:02
-1

Could be that you still have a old blocks/ and shared_mem/ from previous install that its referencing, including the old config.ini

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.